Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.mail
Class CollabAddressEntryList

    java.lang.Object
      portlets.compoze.groupware.CollabItemList
          portlets.compoze.groupware.mail.CollabAddressEntryList

All Implemented Interfaces:
  java.io.Serializable

public class CollabAddressEntryList
extends CollabItemList
implements java.io.Serializable

This class represents an address entry list consisting of Collaboration address entries.

See Also:
  Serialized Form

Field Summary

Fields inherited from class portlets.compoze.groupware.CollabItemList
`m_items`

Constructor Summary
`CollabAddressEntryList(AddressBookEntry[] entries)` Contructor
`CollabAddressEntryList(AddressBookEntry[] entries, boolean bIsPaginationFullySupported)` Contructor

Method Summary
`int` | `getNextPageNumber()` Gets the next page number.
`boolean` | `isLastPage()` Checks if the current page is the last page.

Methods inherited from class portlets.compoze.groupware.CollabItemList
`getEndIndex, getItems, getLastPageNumber, getPageCount, getPageItemCount, getPageNumber, getPreviousPageNumber, getStartIndex, getTotalItemCount, isFirstPage, isPaginationFullySupported, setIsFirstPage, setIsLastPage, setIsPaginationFullySupported, setPageCount, setPageItemCount, setPageNumber, setStartIndex, setTotalItemCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollabAddressEntryList

    public CollabAddressEntryList(AddressBookEntry[] entries)

  Contructor

Parameters:
  `entries` - the address book entries this address entry list holds (may not be `null`)

### CollabAddressEntryList

    public CollabAddressEntryList(AddressBookEntry[] entries,
                                  boolean bIsPaginationFullySupported)

  Contructor

Parameters:
  `entries` - the address book entries this address entry list holds (may not be `null`)
  `bIsPaginationFullySupported` - `true` if pagination is fully supported by a certain groupware provider; `false` otherwise

Method Detail

### getNextPageNumber

    public int getNextPageNumber()

  Gets the next page number.

  Overrides:
    `getNextPageNumber` in class `CollabItemList`
  Returns:
    the number of the next page (1-based)

### isLastPage

    public boolean isLastPage()

  Checks if the current page is the last page.

  Overrides:
    `isLastPage` in class `CollabItemList`
  Returns:
    `true` if the current page is the last page; `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.